# Asterisk Project : Asterisk 12 AGICommand_wait for digit

Added by wikibot , edited by wikibot on Aug 29, 2013

# WAIT FOR DIGIT

### Synopsis

Waits for a digit to be pressed.

### Description

Waits up to timeout milliseconds for channel to receive a DTMF digit. Returns `-1` on channel failure, `0` if no digit is received in the timeout, or the numerical value of the ascii of the digit if one is received. Use `-1` for the timeout value if you desire the call to block indefinitely.

### Syntax

    WAIT FOR DIGIT TIMEOUT

##### Arguments

- `timeout`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown